ALAS-2016-641


Amazon Linux AMI Security Advisory: ALAS-2016-641
Advisory Release Date: 2016-01-19 12:00 Pacific
Severity: Medium
References: CVE-2015-8704 

Issue Overview:

Specific APL RR data could cause a server to exit due to an INSIST failure in apl_42.c when performing certain string formatting operations. (CVE-2015-8704 )

CVE-2015-8705 was also issued today for bind, but the Amazon Linux AMI's version of bind is not impacted by that CVE.


Affected Packages:

bind


Issue Correction:
Run yum update bind to update your system.

New Packages:
i686:
    bind-9.8.2-0.37.rc1.43.amzn1.i686
    bind-chroot-9.8.2-0.37.rc1.43.amzn1.i686
    bind-devel-9.8.2-0.37.rc1.43.amzn1.i686
    bind-debuginfo-9.8.2-0.37.rc1.43.amzn1.i686
    bind-utils-9.8.2-0.37.rc1.43.amzn1.i686
    bind-libs-9.8.2-0.37.rc1.43.amzn1.i686
    bind-sdb-9.8.2-0.37.rc1.43.amzn1.i686

src:
    bind-9.8.2-0.37.rc1.43.amzn1.src

x86_64:
    bind-sdb-9.8.2-0.37.rc1.43.amzn1.x86_64
    bind-libs-9.8.2-0.37.rc1.43.amzn1.x86_64
    bind-9.8.2-0.37.rc1.43.amzn1.x86_64
    bind-devel-9.8.2-0.37.rc1.43.amzn1.x86_64
    bind-utils-9.8.2-0.37.rc1.43.amzn1.x86_64
    bind-debuginfo-9.8.2-0.37.rc1.43.amzn1.x86_64
    bind-chroot-9.8.2-0.37.rc1.43.amzn1.x86_64